boxplot.dev {xps} | R Documentation

## Box Plots for Device

### Description

Produce box-and-whisker plot(s) of the samples for the selected device.

### Usage

    boxplot.dev(x, which = "", size = 0, transfo = log2, range = 0, names = "namepart", mar = c(10, 5, 4, 1), las = 2, dev = "screen", outfile = "BoxPlot", w = 800, h = 540, ...)

### Arguments

`x` | object of class `DataTreeSet` or `ExprTreeSet`.
`which` | type of probes to be used, for details see `validData`.
`size` | length of sequence to be generated as subset.
`transfo` | a valid function to transform the data, usually `log2`, or 0.
`range` | determines how far the plot whiskers extend out from the box.
`names` | optional vector of sample names.
`mar` | plot margin.
`las` | style of axis labels.
`dev` | graphics device to plot to, i.e. one of “screen”, “jpeg”,“png”, “pdf” or “ps”.
`outfile` | the name of the output file.
`w` | the width of the device in pixels.
`h` | the height of the device in pixels.
`...` | optional arguments to be passed to `boxplot`.

### Details

Produces a boxplot for slot `data` for an object of class `DataTreeSet` or `ExprTreeSet` for the selected graphics device.

### Note

For a `DataTreeSet` object, data must first be attached using method `attachInten`.

### Author(s)

Christian Stratowa

### See Also

`boxplot`

[Package xps version 1.2.10 Index]